{ config, ... }: {
  services.redis.servers."transplace-logger" = {
    enable = true;

    openFirewall = true;

    bind = "0.0.0.0";
    port = 6379;

    requirePassFile = config.sops.secrets.transplace_logger_redis_password.path;
  };

  sops.secrets.transplace_logger_redis_password = {
    mode = "0600";
    owner = config.users.users.root.name;
    group = config.users.users.root.group;
    sopsFile = ../../secrets/transplace-logger.json;
    format = "json";
  };
}
